Katello - Bug #24083

Add an upgrade rake task for sync plans
06/26/2018 08:30 PM - Partha Aji

Status: Closed
Priority: Normal
Assignee: Partha Aji
Category: Sync Plans
Target version: Katello 3.9.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1430836 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/747
8
Description

With this pulp commit
https://github.com/pulp/pulp/commit/796b83fb8a5e4fd9a1c13248df0ce284df27af5f
one can individually set the ca-path for the katello ensure sync notifier.

We now need an upgrade task that will set the ca-path to -> SETTINGS[:katello][:pulp][:ca_cert_file]

Related issues:
Has duplicate Katello - Bug #22671: Sync plans not running automatically Duplicate

Associated revisions

Revision e32ee2f2 - 07/17/2018 08:57 PM - Partha Aji
Fixes #24083 - Set ca-path on sync notifier
This commit updates the pulp sync notifier to use a specific ca-bundle

when connecting to katello. This change is to be used in conjunction
with the fix for https:/pulp.plan.io/issues/3780

History

#1 - 06/26/2018 09:04 PM - Partha Aji

-> hard code => /etc/pki/tls/certs/ca-bundle.crt instead of using settings.

#2 - 06/26/2018 09:07 PM - Partha Aji
- Bugzilla link set to 1430836

#3 - 06/27/2018 05:42 PM - Andrew Kofink

- translation missing: en.field_release set to 349

#4 - 06/27/2018 06:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Partha Aji

- Pull request https://github.com/Katello/katello/pull/7478 added

#5 - 06/27/2018 07:22 PM - Brad Buckingham

- translation missing: en.field_release changed from 349 to 338

#6 - 07/17/2018 09:01 PM - Partha Aji
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|e32ee2f210a23f41f2dd75694ad527{835744e59.

05/18/2024 12



https://github.com/pulp/pulp/commit/796b83fb8a5e4fd9a1c13248df0ce284df27af5f
https://pulp.plan.io/issues/3780
https://projects.theforeman.org/projects/katello/repository/katello/revisions/e32ee2f210a23f41f2dd75694ad527f835744e59

#7 - 07/23/2018 06:56 PM - Jonathon Turel
- Target version deleted (Katello 3.7.0)

- Triaged changed from Yes to No

#8 - 07/25/2018 05:49 PM - Andrew Kofink
- Target version set to Katello 3.9.0

- Triaged changed from No to Yes

#9 - 08/20/2018 07:03 PM - Andrew Kofink
- Has duplicate Bug #22671: Sync plans not running automatically added

#10 - 03/04/2019 10:55 AM - Peter Oliver

| believe that | still see this issue in Katello 3.10.0. | notice that the code added in pull request https:/github.com/Katello/katello/pull/7478 was
removed again by https:/github.com/Katello/katello/pull/7646.
